﻿@page
@using DemoAbp.Localization
@using DemoAbp.Permissions
@using DemoAbp.Web.Pages.Authors
@using Microsoft.AspNetCore.Authorization
@using Microsoft.Extensions.Localization
@inject IStringLocalizer<DemoAbpResource> L
@inject IAuthorizationService AuthorizationService
@model IndexModel

@section scripts
    {
    <abp-script src="/Pages/Authors/Index.js" />
}

    <abp-card>
        <abp-card-header>
            <abp-row>
                <abp-column size-md="_6">
                    <abp-card-title>@L["Authors"]</abp-card-title>
                </abp-column>
                <abp-column size-md="_6" class="text-end">
                @if (await AuthorizationService
                .IsGrantedAsync(DemoAbpPermissions.Authors.Create))
                {
                    <abp-button id="NewAuthorButton"
                            text="@L["NewAuthor"].Value"
                            icon="plus"
                            button-type="Primary" />
                }
            </abp-column>
        </abp-row>
    </abp-card-header>
    <abp-card-body>
        <abp-table striped-rows="true" id="AuthorsTable"></abp-table>
    </abp-card-body>
</abp-card>
